## org.eclipse.datatools.modelbase.sql.query
Interface TableReference

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Subinterfaces:
  QueryCombined, QueryExpressionBody, QuerySelect, QueryValues, TableExpression, TableFunction, TableInDatabase, TableJoined, TableNested, WithTableReference, XMLTableFunction

All Known Implementing Classes:
  QueryCombinedImpl, QueryExpressionBodyImpl, QuerySelectImpl, QueryValuesImpl, TableExpressionImpl, TableFunctionImpl, TableInDatabaseImpl, TableJoinedImpl, TableNestedImpl, TableReferenceImpl, WithTableReferenceImpl, XMLTableFunctionImpl

public interface TableReference
extends SQLQueryObject

A representation of the model object 'SQL Table Reference'.

The following features are supported:

- `Table Joined Right`
- `Table Joined Left`
- `Query Select`
- `Nest`

See Also:
  `SQLQueryModelPackage.getTableReference()`

Method Summary
`TableNested` `getNest()` Returns the value of the 'Nest' container reference.
`QuerySelect` `getQuerySelect()` Returns the value of the 'Query Select' container reference.
`TableJoined` `getTableJoinedLeft()` Returns the value of the 'Table Joined Left' container reference.
`TableJoined` `getTableJoinedRight()` Returns the value of the 'Table Joined Right' container reference.
`void` `setNest(TableNested value)` Sets the value of the '`Nest`' container reference.
`void` `setQuerySelect(QuerySelect value)` Sets the value of the '`Query Select`' container reference.
`void` `setTableJoinedLeft(TableJoined value)` Sets the value of the '`Table Joined Left`' container reference.
`void` `setTableJoinedRight(TableJoined value)` Sets the value of the '`Table Joined Right`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTableJoinedRight

    public TableJoined getTableJoinedRight()

  Returns the value of the 'Table Joined Right' container reference. It is bidirectional and its opposite is '`Table Ref Right`'.

  If the meaning of the 'Table Joined Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Joined Right' container reference.
  See Also:
    `setTableJoinedRight(TableJoined)`, `SQLQueryModelPackage.getTableReference_TableJoinedRight()`, `TableJoined.getTableRefRight()`

### setTableJoinedRight

    public void setTableJoinedRight(TableJoined value)

  Sets the value of the '`Table Joined Right`' container reference.

  Parameters:
    `value` - the new value of the 'Table Joined Right' container reference.
  See Also:
    `getTableJoinedRight()`

### getTableJoinedLeft

    public TableJoined getTableJoinedLeft()

  Returns the value of the 'Table Joined Left' container reference. It is bidirectional and its opposite is '`Table Ref Left`'.

  If the meaning of the 'Table Joined Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Joined Left' container reference.
  See Also:
    `setTableJoinedLeft(TableJoined)`, `SQLQueryModelPackage.getTableReference_TableJoinedLeft()`, `TableJoined.getTableRefLeft()`

### setTableJoinedLeft

    public void setTableJoinedLeft(TableJoined value)

  Sets the value of the '`Table Joined Left`' container reference.

  Parameters:
    `value` - the new value of the 'Table Joined Left' container reference.
  See Also:
    `getTableJoinedLeft()`

### getQuerySelect

    public QuerySelect getQuerySelect()

  Returns the value of the 'Query Select' container reference. It is bidirectional and its opposite is '`From Clause`'.

  If the meaning of the 'Query Select' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Select' container reference.
  See Also:
    `setQuerySelect(QuerySelect)`, `SQLQueryModelPackage.getTableReference_QuerySelect()`, `QuerySelect.getFromClause()`

### setQuerySelect

    public void setQuerySelect(QuerySelect value)

  Sets the value of the '`Query Select`' container reference.

  Parameters:
    `value` - the new value of the 'Query Select' container reference.
  See Also:
    `getQuerySelect()`

### getNest

    public TableNested getNest()

  Returns the value of the 'Nest' container reference. It is bidirectional and its opposite is '`Nested Table Ref`'.

  If the meaning of the 'Nest' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nest' container reference.
  See Also:
    `setNest(TableNested)`, `SQLQueryModelPackage.getTableReference_Nest()`, `TableNested.getNestedTableRef()`

### setNest

    public void setNest(TableNested value)

  Sets the value of the '`Nest`' container reference.

  Parameters:
    `value` - the new value of the 'Nest' container reference.
  See Also:
    `getNest()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.